Memcached::addServer
Memcached::append
Memcached
PHP Manual

# Memcached::addServers

(PECL memcached >= 0.1.1)

Memcached::addServers — Add multiple servers to the server pool

### Description

public bool Memcached::addServers ( array `$servers` )

Memcached::addServers() adds `servers` to the server pool. Each entry in `servers` is supposed to be an array containing hostname, port, and, optionally, weight of the server. No connection is established to the servers at this time.

The same server may appear multiple times in the server pool, because no duplication checks are made. This is not advisable; instead, use the `weight` option to increase the selection weighting of this server.

### Parameters

`array`

  Array of the servers to add to the pool.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Memcached::addServers() example

`<?php
$m = new Memcached();
$servers = array(
array('mem1.domain.com', 11211, 33),
array('mem2.domain.com', 11211, 67)
);
$m->addServers($servers);
?>`

### See Also

- Memcached::addServer() - Add a server to the server pool
- Memcached::resetServerList() - Clears all servers from the server list

Memcached::addServer
Memcached::append
Memcached
PHP Manual